## octave-control 1.0.6

=== DESCRIPTION ===
Name: Control
Version: 1.0.6
Date: 2008-04-29
Author: Ben Sapp
Maintainer: None
Title: Control.
Description: Additional Octave Control tools
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-control 1.0.10

=== DESCRIPTION ===
Name: Control
Version: 1.0.10
Date: 2009-02-11
Author: Ben Sapp
Maintainer: Luca Favatella <slackydeb@gmail.com>
Title: Control.
Description: Additional Octave Control tools
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-control 1.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Control
-Version: 1.0.10
+Version: 1.0.11
 Date: 2009-02-11
 Author: Ben Sapp
 Maintainer: Luca Favatella <slackydeb@gmail.com>

## octave-control 2.3.50

=== DESCRIPTION ===
Name: Control
Version: 2.3.50
Date: 2012-03-06
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Control Systems
Description: Octave control systems package based on the proven SLICOT library
Depends: octave (>= 3.6.0)
Autoload: yes
License: GPL version 3 or later
Url: http://octave.sf.net, http://www.slicot.org

=== src/Makefile ===
LAPACK_LIBS := $(shell mkoctfile -p LAPACK_LIBS)
BLAS_LIBS := $(shell mkoctfile -p BLAS_LIBS)
FLIBS := $(shell mkoctfile -p FLIBS)

all: control_slicot_functions.oct \
     is_real_scalar.oct \
     is_real_vector.oct \
     is_real_matrix.oct \
     is_real_square_matrix.oct

# TODO: Private oct-files for control package.

# unpack and compile SLICOT library
# Note that TG04BX is a custom routine.
# It has the extension .fortran such that
# it is not deleted by rm *.f when using
# the developer makefile makefile_control.m
slicotlibrary.a: slicot.tar.gz
	tar -xzf slicot.tar.gz
	mv slicot/src/*.f .
	mv slicot/src_aux/*.f .
	cp TG04BX.fortran TG04BX.f
	mkoctfile -c *.f
	ar -r slicotlibrary.a *.o
	rm -rf *.o *.f slicot

# slicot functions
control_slicot_functions.oct: control_slicot_functions.cc slicotlibrary.a
	mkoctfile control_slicot_functions.cc common.cc slicotlibrary.a \
              ${LAPACK_LIBS} ${BLAS_LIBS} ${FLIBS}

# helpers
is_real_scalar.oct: is_real_scalar.cc
	mkoctfile is_real_scalar.cc

is_real_vector.oct: is_real_vector.cc
	mkoctfile is_real_vector.cc

is_real_matrix.oct: is_real_matrix.cc
	mkoctfile is_real_matrix.cc

is_real_square_matrix.oct: is_real_square_matrix.cc
	mkoctfile is_real_square_matrix.cc

clean:
	rm -rf *.o core octave-core *.oct *~ *.f slicot

realclean: clean
	rm -rf *.a

=== debian/changelog ===
octave-control (2.3.50-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control: 
    + Bump standards version to 3.9.3, no changes needed
    + Bump the build-dependency on octave-pkg-dev to >= 1.0.0
    + Add Sébastien Villemot to the list of Uploaders
  * Bump the debhelper compatibility level to 9
  * debian/copyright: Update copyright notices and adapt to version
    1.0 of the machine-readable format
  
  [ Thomas Weber]
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571841)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch architecture to 'any', as the new upstream release contains
    compiled code.
  * Add Fortran library from NICONET to debian/copyright.
  * Switch to dpkg-source 3.0 (quilt) format
  * Update description for new upstream release

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Mar 2012 21:42:58 +0100

octave-control (1.0.11-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 15 Nov 2009 16:18:17 +0100

octave-control (1.0.11-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump standards version to 3.8.2, no changes needed
  * debian/octave-control.docs: Use octave-control.docs for documentation
    installation and build-depend on octave-pkg-dev >= 0.7.1
  * debian/patches/no-check-failure-acker-place.diff: removed, applied
    upstream
  * No more patches, remove quilt from build-dependencies

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 19 Jul 2009 18:58:35 +0200

octave-control (1.0.10-1) unstable; urgency=low

  * New upstream release
  * debian/patches/no-check-failure-acker-place.diff: Get around precision
    problems when testing functions acker and place
  * debian/rules:
    + Include patchsys-quilt.mk
    + Remove unneeded documentation sources from /usr/share/doc
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 12:05:04 +0200

octave-control (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 11 Apr 2009 19:47:50 +0200

octave-control (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * debian/control: Bump dependency on octave-pkg-dev to 0.6.1, to get the
    experimental version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 30 Nov 2008 22:11:14 +0100

octave-control (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 11 May 2008 23:58:02 +0200

octave-control (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468498)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Wed, 06 Feb 2008 22:10:04 +0100

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/control-([\d.]+)\.tar\.gz\?download

## octave-control 2.3.52

=== DESCRIPTION ===
Name: Control
Version: 2.3.52
Date: 2012-06-25
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Control Systems
Description: Octave control systems package based on the proven SLICOT library
Depends: octave (>= 3.6.0)
Autoload: yes
License: GPLv3+
Url: http://octave.sf.net, http://www.slicot.org

=== Makefile ===
sinclude ../../Makeconf

PKG_FILES = COPYING DESCRIPTION INDEX NEWS $(wildcard inst/*)
SUBDIRS = doc/

.PHONY: $(SUBDIRS)

pre-pkg::
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir all; \
	done

clean:
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir $(MAKECMDGOALS); \
	done

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

ifndef LAPACK_LIBS
LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
endif
ifndef BLAS_LIBS
BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
endif
ifndef FLIBS
FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
endif
LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)

all: control_slicot_functions.oct \
     is_real_scalar.oct \
     is_real_vector.oct \
     is_real_matrix.oct \
     is_real_square_matrix.oct

# TODO: Private oct-files for control package.

# unpack and compile SLICOT library
# Note that TG04BX is a custom routine.
# It has the extension .fortran such that
# it is not deleted by rm *.f when using
# the developer makefile makefile_control.m
slicotlibrary.a: slicot.tar.gz
	tar -xzf slicot.tar.gz
	mv slicot/src/*.f .
	mv slicot/src_aux/*.f .
	cp TG04BX.fortran TG04BX.f
	$(MKOCTFILE) -c *.f
	ar -rc slicotlibrary.a *.o
	rm -rf *.o *.f slicot

# slicot functions
control_slicot_functions.oct: control_slicot_functions.cc slicotlibrary.a
	LFLAGS="$(LFLAGS)" \
    $(MKOCTFILE) control_slicot_functions.cc common.cc slicotlibrary.a

# helpers
is_real_scalar.oct: is_real_scalar.cc
	$(MKOCTFILE) is_real_scalar.cc

is_real_vector.oct: is_real_vector.cc
	$(MKOCTFILE) is_real_vector.cc

is_real_matrix.oct: is_real_matrix.cc
	$(MKOCTFILE) is_real_matrix.cc

is_real_square_matrix.oct: is_real_square_matrix.cc
	$(MKOCTFILE) is_real_square_matrix.cc

clean:
	rm -rf *.o core octave-core *.oct *~ *.f slicot

realclean: clean
	rm -rf *.a

=== debian/changelog ===
octave-control (2.3.52-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.52
  * debian/copyright: Relect upstream changes

 -- Thomas Weber <tweber@debian.org>  Mon, 25 Jun 2012 23:44:23 +0200

octave-control (2.3.51-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.51
  * debian/watch: Use the SourceForge redirector
  * Add Lintian overrides for false positives on hardening flags

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes, simplify
  * Remove obsolete Lintian overrides for source package

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 05 Jun 2012 20:56:15 +0200

=== debian/control ===
Source: octave-control
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/control
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-control.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-control.git

Package: octave-control
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: control functions for Octave from Octave-Forge
 This package provides additional functions related to control theory
 in Octave, a numerical computation software. The functions are based on SLICOT
 Fortran library <http://www.slicot.org>.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-control 2.4.1

=== DESCRIPTION ===
Name: Control
Version: 2.4.1
Date: 2012-11-01
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Control Systems
Description: Computer-Aided Control System Design (CACSD) Tools for GNU Octave, based on the proven SLICOT library
Depends: octave (>= 3.6.0)
Autoload: yes
License: GPLv3+
Url: http://octave.sf.net, http://www.slicot.org

=== debian/changelog ===
octave-control (2.4.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.4.1
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 04 Nov 2012 11:38:59 +0100

octave-control (2.3.54-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.54
  * debian/patches/use-external-slicot.patch: Refresh for new upstream version

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 17 Sep 2012 10:48:09 +0000

octave-control (2.3.53-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.3.53

  [ Sébastien Villemot ]
  * Use external SLICOT
    + Build-Depend on libslicot-dev
    + use-external-slicot.patch: new patch to src/Makefile

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 03 Sep 2012 20:45:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.3
+           Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libslicot-dev
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/control
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-control.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-control.git

## octave-control 2.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Control
-Version: 2.4.1
-Date: 2012-11-01
+Version: 2.4.3
+Date: 2013-07-12
 Author: Lukas Reichlin <lukas.reichlin@gmail.com>
 Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
 Title: Control Systems

=== src/Makefile ===
--- 
+++ 
@@ -11,11 +11,12 @@
 endif
 LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)
 
-all: control_slicot_functions.oct \
+all: __control_slicot_functions__.oct \
      is_real_scalar.oct \
      is_real_vector.oct \
      is_real_matrix.oct \
-     is_real_square_matrix.oct
+     is_real_square_matrix.oct \
+     is_matrix.oct
 
 # TODO: Private oct-files for control package.
 
@@ -34,9 +35,9 @@
 	rm -rf *.o *.f slicot
 
 # slicot functions
-control_slicot_functions.oct: control_slicot_functions.cc slicotlibrary.a
+__control_slicot_functions__.oct: __control_slicot_functions__.cc slicotlibrary.a
 	LFLAGS="$(LFLAGS)" \
-    $(MKOCTFILE) control_slicot_functions.cc common.cc slicotlibrary.a
+    $(MKOCTFILE) __control_slicot_functions__.cc common.cc slicotlibrary.a
 
 # helpers
 is_real_scalar.oct: is_real_scalar.cc
@@ -51,6 +52,9 @@
 is_real_square_matrix.oct: is_real_square_matrix.cc
 	$(MKOCTFILE) is_real_square_matrix.cc
 
+is_matrix.oct: is_matrix.cc
+	$(MKOCTFILE) is_matrix.cc
+
 clean:
 	rm -rf *.o core octave-core *.oct *~ *.f slicot

=== debian/changelog ===
octave-control (2.4.3-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.4.3

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove Lintian overrides for false positives on hardening flags

 -- Thomas Weber <tweber@debian.org>  Tue, 23 Jul 2013 14:25:01 +0200

octave-control (2.4.2-2) unstable; urgency=low

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 May 2013 17:46:49 +0200

octave-control (2.4.2-1) experimental; urgency=low

  * Imported Upstream version 2.4.2
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 17 Apr 2013 12:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libslicot-dev
 Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/control
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-control.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-control.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-control.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-control.git
 
 Package: octave-control
 Architecture: any

## octave-control 2.6.2

=== DESCRIPTION ===
Name: Control
Version: 2.6.2
Date: 2014-02-02
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Control Systems
Description: Computer-Aided Control System Design (CACSD) Tools for GNU Octave, based on the proven SLICOT Library
Depends: octave (>= 3.6.0)
Autoload: yes
License: GPLv3+
Url: http://octave.sf.net, http://www.slicot.org

=== debian/changelog ===
octave-control (2.6.2-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:11 +0000

octave-control (2.6.2-1) unstable; urgency=medium

  * Imported Upstream version 2.6.2
  * debian/copyright: reflect upstream changes.

 -- Thomas Weber <tweber@debian.org>  Mon, 03 Feb 2014 13:14:09 +0100

octave-control (2.6.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.6.1
  * debian/copyright: reflect upstream changes.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 15:32:07 +0100

octave-control (2.6.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Oct 2013 12:41:11 +0000

octave-control (2.4.5-1) unstable; urgency=low

  * Imported Upstream version 2.4.5

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 13 Oct 2013 18:01:15 +0200

octave-control (2.4.4-1) unstable; urgency=low

  * Imported Upstream version 2.4.4
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Aug 2013 23:28:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libslicot-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/control
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-control.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-control.git

=== debian/watch ===
version=3
http://sf.net/octave/control-(.+)\.tar\.gz

## octave-control 2.6.5

=== debian/changelog ===
octave-control (2.6.5-1build1) utopic; urgency=medium

  * No-change rebuild to restore missing oct-file (LP: #1403184)

 -- Mike Miller <mtmiller@debian.org>  Tue, 13 Jan 2015 20:53:59 -0500

octave-control (2.6.5-1) unstable; urgency=medium

  * Imported Upstream version 2.6.5
  * Uploaders: add Rafael Laboissiere and Mike Miller, remove Thomas Weber.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Jun 2014 18:56:48 +0200

octave-control (2.6.4-1) unstable; urgency=medium

  * Imported Upstream version 2.6.4

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 May 2014 20:32:32 +0200

octave-control (2.6.3-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.6.3

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Apr 2014 11:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+           Rafael Laboissiere <rafael@laboissiere.net>,
+           Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libslicot-dev
 Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/control

## octave-control 2.6.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Control
-Version: 2.6.2
-Date: 2014-02-02
+Version: 2.6.6
+Date: 2014-10-11
 Author: Lukas Reichlin <lukas.reichlin@gmail.com>
 Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
 Title: Control Systems

=== debian/changelog ===
octave-control (2.6.6-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.6.6

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Oct 2014 15:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Rafael Laboissiere <rafael@laboissiere.net>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libslicot-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/control
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-control.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-control.git

## octave-control 2.8.3

=== DESCRIPTION ===
Name: control
Version: 2.8.3
Date: 2015-07-01
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Control Systems
Description: Computer-Aided Control System Design (CACSD) Tools for GNU Octave, based on the proven SLICOT Library
Depends: octave (>= 3.8.0)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net, http://www.slicot.org

=== debian/changelog ===
octave-control (2.8.3-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.8.3

  [ Rafael Laboissiere ]
  * d/copyright: Reflect upstream changes
  * d/p/use-external-slicot.patch: Refresh for new upstream version

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 17:40:44 +0200

## octave-control 3.0.0

=== DESCRIPTION ===
Name: control
Version: 3.0.0
Date: 2015-10-30
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Computer-Aided Control System Design
Description: Computer-Aided Control System Design (CACSD) Tools for GNU Octave, based on the proven SLICOT Library
Depends: octave (>= 3.8.0)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net, http://www.slicot.org

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

ifndef LAPACK_LIBS
LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
endif
ifndef BLAS_LIBS
BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
endif
ifndef FLIBS
FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
endif
LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)

AR := $(shell $(MKOCTFILE) -p AR)

all: __control_slicot_functions__.oct \
     __control_helper_functions__.oct

# TODO: Private oct-files for control package.

# unpack and compile SLICOT library
# Note that TG04BX is a custom routine.
# It has the extension .fortran such that
# it is not deleted by rm *.f when using
# the developer makefile makefile_control.m
slicotlibrary.a: slicot.tar.gz
	tar -xzf slicot.tar.gz
	mkdir sltmp
	mv slicot/src/*.f ./sltmp
	mv slicot/src_aux/*.f ./sltmp
	cp TG04BX.fortran ./sltmp/TG04BX.f
	cp TB01ZD.fortran ./sltmp/TB01ZD.f
	cd sltmp; $(MKOCTFILE) -c *.f
	$(AR) -rc slicotlibrary.a ./sltmp/*.o
	rm -rf sltmp slicot

# slicot functions
__control_slicot_functions__.oct: __control_slicot_functions__.cc slicotlibrary.a
	LFLAGS="$(LFLAGS)" \
    $(MKOCTFILE) __control_slicot_functions__.cc common.cc slicotlibrary.a

# helper functions
__control_helper_functions__.oct: __control_helper_functions__.cc
	$(MKOCTFILE) __control_helper_functions__.cc

clean:
	rm -rf *.o core octave-core *.oct *~ *.f slicot sltmp

realclean: clean
	rm -rf *.a

=== debian/changelog ===
octave-control (3.0.0-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:27:31 -0200

octave-control (3.0.0-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:14 -0200

octave-control (3.0.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/p/comment-out-failing-unit-tests.patch: New patch.
    The package FTBFS with octave-pkg-dev 1.5.0 because it now exits with
    a code error when unit tests fail.  We comment out, for now, the
    failing tests, but this must be addressed in a proper way, since it
    may hide problems in the package. (Closes: #874144)
  * d/control:
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 Sep 2017 12:49:34 -0300

octave-control (3.0.0-2) unstable; urgency=medium

  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/spelling-errors-in-warning-messages.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Aug 2016 05:07:20 -0300

octave-control (3.0.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0
  * d/control: update short description

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Nov 2015 10:48:46 +0100

octave-control (2.8.5-1) unstable; urgency=medium

  * Imported Upstream version 2.8.5

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Oct 2015 00:06:14 +0200

octave-control (2.8.4-1) unstable; urgency=medium

  * Imported Upstream version 2.8.4 (Closes: #798443)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 13 Sep 2015 06:53:30 -0300

=== debian/control ===
Source: octave-control
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 11), dh-octave, libslicot-dev
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/control
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control
Testsuite: autopkgtest-pkg-octave

Package: octave-control
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: computer-aided control system design (CACSD) for Octave
 This package provides additional functions related to control theory
 in Octave, a numerical computation software. The functions are based on SLICOT
 Fortran library <http://www.slicot.org>.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/control-(.+)\.tar\.gz

## octave-control 3.1.0

=== src/Makefile ===
--- 
+++ 
@@ -44,8 +44,12 @@
 	$(MKOCTFILE) __control_helper_functions__.cc
 
 clean:
-	rm -rf *.o core octave-core *.oct *~ *.f slicot sltmp
+	$(RM) -r *.o core octave-core *.oct *~ *.f slicot sltmp
 
 realclean: clean
-	rm -rf *.a
+	$(RM) -r *.a
 
+## This should also remove any configure cache which clean should not
+## remove according to GNU guidelines.
+## https://www.gnu.org/prep/standards/html_node/Standard-Targets.html
+distclean: clean realclean

=== debian/changelog ===
octave-control (3.1.0-3) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:54:56 -0200

octave-control (3.1.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: reflect upstream changes.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Mar 2018 17:44:54 -0300

octave-control (3.1.0-1) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * New upstream version 3.1.0
  * d/p/spelling-errors-in-warning-messages.patch: Drop patch (applied upstream)
  * d/p/lti-pole-unit-tests.patch: New patch
  * Remove obsolete files d/octave-control.doc*

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Mar 2018 14:34:39 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,15 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave, libslicot-dev
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/control
+Build-Depends: debhelper-compat (= 12),
+               dh-octave,
+               libslicot-dev
+Standards-Version: 4.3.0
+Homepage: https://octave.sourceforge.io/control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-control
 Architecture: any

## octave-control 3.2.0

=== DESCRIPTION ===
Name: control
Version: 3.2.0
Date: 2019-04-01
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Alexander Wilms <f.alexander.wilms@gmail.com>, Doug Stewart <doug.dastew@gmail.com>
Title: Computer-Aided Control System Design
Description: Computer-Aided Control System Design (CACSD) Tools for GNU Octave, based on the proven SLICOT Library
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+
Url: http://www.slicot.org

=== src/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)
 
 AR := $(shell $(MKOCTFILE) -p AR)
+
+PKG_CXXFLAGS := -Wall -Wno-deprecated-declarations $(PKG_CXXFLAGS_APPEND)
 
 all: __control_slicot_functions__.oct \
      __control_helper_functions__.oct
@@ -35,13 +37,13 @@
 	rm -rf sltmp slicot
 
 # slicot functions
-__control_slicot_functions__.oct: __control_slicot_functions__.cc slicotlibrary.a
+__control_slicot_functions__.oct: __control_slicot_functions__.cc common.cc slicotlibrary.a
 	LFLAGS="$(LFLAGS)" \
-    $(MKOCTFILE) __control_slicot_functions__.cc common.cc slicotlibrary.a
+    $(MKOCTFILE) $(PKG_CXXFLAGS) __control_slicot_functions__.cc common.cc slicotlibrary.a
 
 # helper functions
 __control_helper_functions__.oct: __control_helper_functions__.cc
-	$(MKOCTFILE) __control_helper_functions__.cc
+	$(MKOCTFILE) $(PKG_CXXFLAGS) __control_helper_functions__.cc
 
 clean:
 	$(RM) -r *.o core octave-core *.oct *~ *.f slicot sltmp

=== debian/changelog ===
octave-control (3.2.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-control: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 Nov 2020 16:55:12 -0300

octave-control (3.2.0-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file
  * d/s/options: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 04:01:57 -0300

octave-control (3.2.0-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 06:22:59 -0300

octave-control (3.2.0-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/copyright: Reflect upstream changes

  [ Sébastien Villemot ]
  * comment-out-failing-unit-tests.patch: add more tests from ltimodels.m
    (Closes: #928130)
  * Bump to S-V 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 15:17:44 +0200

octave-control (3.2.0-1) experimental; urgency=medium

  * New upstream version 3.2.0
  * d/p/lti-pole-unit-tests.patch: Drop patch (applied upstream)
  * Refresh patches for new upstream version:
    + d/p/comment-out-failing-unit-tests.patch
    + d/p/use-external-slicot.patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Apr 2019 08:56:08 -0300

=== debian/control ===
Source: octave-control
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1),
               libslicot-dev
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/control/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-control
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Multi-Arch: same
Description: computer-aided control system design (CACSD) for Octave
 This package provides additional functions related to control theory
 in Octave, a numerical computation software. The functions are based on SLICOT
 Fortran library <http://www.slicot.org>.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-control 3.4.0

=== DESCRIPTION ===
Name: control
Version: 3.4.0
Date: 2022-01-16
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Alexander Wilms <f.alexander.wilms@gmail.com>, Doug Stewart <doug.dastew@gmail.com>, Torsten Lilge <ttl-octave@mailbox.org>
Title: Computer-Aided Control System Design
Description: Computer-Aided Control System Design (CACSD) Tools for GNU Octave, based on the proven SLICOT Library
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+
Url: http://www.slicot.org

=== debian/changelog ===
octave-control (3.4.0-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 04:12:10 -0300

octave-control (3.4.0-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/p/xtest-bstmodred.patch: New patch
  * Proper cleaning of files generated by the configure script
    + d/p/add-distclean-target.patch: New patch (remove files in
      distclean target)
    + d/clean, d/s/options: Drop obsolete files
    + d/control: Build-depend on dh-octave >= 1.2.3 (this version
      calls "make -C src distclean")

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 Jul 2022 12:04:42 -0300

octave-control (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jan 2022 12:45:32 -0300

octave-control (3.3.1-4) unstable; urgency=medium

  * lapack-3.10.0.patch: also skip test in cfconred.m

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 22 Sep 2021 12:56:14 +0200

octave-control (3.3.1-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * lapack-3.10.0.patch: new patch, disables tests that fail with LAPACK 3.10.0
  * Bump S-V to 4.6.0

  [ Rafael Laboissière ]
  * d/clean: Remove files left over by the building process

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 22 Sep 2021 12:13:49 +0200

octave-control (3.3.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 09:54:15 -0300

octave-control (3.3.1-1) experimental; urgency=medium

  * New upstream version 3.3.1

 -- Rafael Laboissière <rafael@debian.org>  Wed, 07 Jul 2021 10:58:34 -0300

octave-control (3.3.0-1) experimental; urgency=medium

  * New upstream version 3.3.0
  * d/p/use-external-slicot.patch: Refresh for the new upstream version
  * d/p/comment-out-failing-unit-tests.patch: Drop patch
  * d/clean: New file (clean src/Makefile.conf)
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Jun 2021 17:26:55 -0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
            Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libslicot-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/control/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/control-(.+).tar.gz

## octave-control 3.6.1

=== debian/changelog ===
octave-control (3.6.1-1ubuntu2) mantic; urgency=medium

  * Ignore dwz failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 10:44:19 +0200

octave-control (3.6.1-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Ignore ltimodels test failures to avoid FTBFS on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 10:43:23 +0200

octave-control (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 14 Jul 2023 09:22:15 +0200

octave-control (3.6.0-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Ignore ltimodels test failures to avoid FTBFS on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 18 Jun 2023 13:31:10 +0000

octave-control (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0
  * d/watch: upstream tarball now on GitHub
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Jun 2023 10:41:27 +0200

octave-control (3.5.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 11 Jun 2023 18:33:48 +0200

octave-control (3.5.0-1) experimental; urgency=medium

  * New upstream version 3.5.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Update Homepage field
    + Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Mar 2023 06:03:20 -0300

octave-control (3.4.0-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Ignore ltimodels test failures to avoid FTBFS on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 12 Jul 2022 15:20:46 +0000

octave-control (3.4.0-1ubuntu1) kinetic; urgency=medium

  * Ignore ltimodels test failures to avoid FTBFS on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 22 May 2022 09:14:48 +0000

octave-control (3.4.0-1build1) kinetic; urgency=medium

  * No change rebuild against octave-abi-57.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 13 May 2022 13:51:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: octave-control
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
@@ -9,8 +10,8 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                libslicot-dev
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/control/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control
 Testsuite: autopkgtest-pkg-octave

## octave-control 4.0.1

=== src/Makefile ===
-include ./Makefile.conf

MKOCTFILE ?= mkoctfile

ifndef LAPACK_LIBS
LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
endif
ifndef BLAS_LIBS
BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
endif
ifndef FLIBS
FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
endif
LDFLAGS := $(shell $(MKOCTFILE) -p LDFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)

# slicot relative to src directory
SC      := slicot
SC_SRC  := $(SC)/src
SC_SMOD := ../slicot-reference

AR := $(shell $(MKOCTFILE) -p AR)

PKG_CXXFLAGS := -Wall -Wno-deprecated-declarations $(PKG_CXXFLAGS_APPEND)

all: __control_slicot_functions__.oct \
     __control_helper_functions__.oct

# if directly called from repository instead of distributed file structure,
# copy required files into the slicot source directory.

# TG04BX.f : Own derived version from this src directory
$(SC_SRC)/TG04BX.f:
	mkdir -p $(SC_SRC)
	cp TG04BX.f $(SC_SRC)/

# MA02ID.f : One exemplary file from SLICOT, if not present, other files
#            are most probably missing as well. Copy all files from the
#            src directories of the SLICOT submodule.
$(SC_SRC)/MA02ID.f:
	mkdir -p $(SC_SRC)
	cp -t $(SC_SRC) $(SC_SMOD)/src/*.f
	cp -t $(SC_SRC) $(SC_SMOD)/src_aux/*.f
	./bootstrap && $(RM) -r "autom4te.cache"

# TODO: Private oct-files for control package.

# Compile SLICOT library
#
# MA02ID.f compiled by an extra command 
# suppressing warnings on indexing errors
#
slicotlibrary.a: slicot $(SC_SRC)/TG04BX.f $(SC_SRC)/MA02ID.f
	cd $(SC_SRC) && $(MKOCTFILE) -w -c MA02ID.f; mv MA02ID.f x && $(MKOCTFILE) -c *.f && mv x MA02ID.f
	$(AR) -rc slicotlibrary.a $(SC_SRC)/*.o

# slicot functions
__control_slicot_functions__.oct: __control_slicot_functions__.cc common.cc slicotlibrary.a
	LDFLAGS="$(LDFLAGS)" \
    $(MKOCTFILE) $(PKG_CXXFLAGS) __control_slicot_functions__.cc common.cc slicotlibrary.a

# helper functions
__control_helper_functions__.oct: __control_helper_functions__.cc
	$(MKOCTFILE) $(PKG_CXXFLAGS) __control_helper_functions__.cc

clean:
	$(RM) -r *.o core octave-core *.oct *~ $(SC_SRC)/*.o
	$(RM) -rf $(SC_SRC)

realclean: clean
	$(RM) -r *.a

## This should also remove any configure cache which clean should not
## remove according to GNU guidelines.
## https://www.gnu.org/prep/standards/html_node/Standard-Targets.html
distclean: clean realclean
	rm -f Makefile.conf config.h config.log config.status oct-alt-includes.h

=== debian/changelog ===
octave-control (4.0.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore dwz failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Mar 2024 01:24:20 +0100

octave-control (4.0.1-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: Update Bug-Database URL
  * d/u/metadata: Add Repository URL

  [ Sébastien Villemot ]
  * New upstream version 4.0.1
  * d/copyright: reflect upstream changes
  * Drop patches
    - add-distclean-target.patch: applied upstream
    - xtest-bstmodred.patch: should no longer be needed
      (see upstream bug #65218)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Mar 2024 14:07:27 +0100

octave-control (4.0.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore dwz failures.
  * Drop change about ignoring ltimodels test failures, fixed
    upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 09:11:07 +0100

octave-control (4.0.0-2) unstable; urgency=medium

  * Reintroduce xtest-bstmodred.patch, needed at least on ppc64el and s390x

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Jan 2024 20:17:28 +0100

octave-control (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * d/copyright: reflect upstream changes
  * xtest-bstmodred.patch: drop patch, no longer needed
  * d/control: require libslicot-dev ⩾ 5.8 for building

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Jan 2024 18:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: octave-control
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
-               libslicot-dev
+               libslicot-dev (>= 5.8)
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_dwz:
	dh_dwz || true

%:
	dh $@ --buildsystem=octave

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/control/ \
  https://github.com/gnu-octave/pkg-control/releases/download/control-(?:\d[\-+\.:\~\da-zA-Z]*)/control-@ANY_VERSION@.tar.gz

## octave-control 4.1.0

=== debian/changelog ===
octave-control (4.1.0-2) unstable; urgency=medium

  * New patch, fixes FTBFS on various architectures (Closes: #1091162)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Jan 2025 11:50:10 +0100

octave-control (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Dec 2024 18:21:17 -0300
